package cn.com.qmth.examcloud.question.commons.core.question;

/**
 * 作答类型
 *
 * @author WANGWEI
 * @date 2019年5月9日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public enum AnswerType {

	RICH_TEXT("RT", "富文本"),

	SINGLE_VIDEO("SV", "单个视频"),

	SINGLE_AUDIO("SA", "单个音频");

	// ===========================================================================

	/**
	 * 简码
	 */
	private String code;

	/**
	 * 描述
	 */
	private String desc;

	/**
	 * 构造函数
	 *
	 * @param code
	 * @param desc
	 */
	private AnswerType(String code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	public String getDesc() {
		return desc;
	}

	public String getCode() {
		return code;
	}

}
